import {useEffect, useState} from 'react'
import PageTitle from '../../components/PageTitle'
import Filter from '../../components/Filter'
import ProductList from '../../components/ProductList'
import { Box } from '@mui/material'
import SocialMedia from '../../components/SocialMedia'
import Feature from '../../components/Feature'

const Products = () => {

  const [title, setTitle] = useState('')
  const [image, setImage] = useState('')

  useEffect(()=>{
    
    // if user come from select collection
    if(sessionStorage.getItem('amber-select-collection')){

      let { id, name, src } = JSON.parse(sessionStorage.getItem('amber-select-collection'))
      setTitle(name)
      setImage(src)

    }else if(sessionStorage.getItem('amber-select-category')){

      let category = sessionStorage.getItem('amber-select-category')
      setTitle(category)

    }else{
      window.location.href = '/'
    }

  },[])

  return (
    <>
      <PageTitle title={title} image={image} />
      <Box sx={{
        px: {
          xs: 2,
          md: 12,
          lg: 20
        },
        mb: {
          xs: 0,
          md: 5,
          lg: 10
        }
      }}>
        <ProductList />
        <SocialMedia />
        <Feature />
      </Box>
    </>
  )
}

export default Products